import { IApiPackage } from './ApiItem';
import { JsonSchema } from '@microsoft/node-core-library';
/**
 * Support for loading the *.api.json file.
 *
 * @public
 */
export declare class ApiJsonFile {
    /**
     * The JSON Schema for API Extractor's *.api.json files (api-json.schema.json).
     */
    static jsonSchema: JsonSchema;
    /**
     * Loads an *.api.json data file, and validates that it conforms to the api-json.schema.json
     * schema.
     */
    static loadFromFile(apiJsonFilePath: string): IApiPackage;
}
