"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved. Licensed under the MIT license.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
const AstItem_1 = require("./AstItem");
const PrettyPrinter_1 = require("../PrettyPrinter");
/**
 * This class is part of the AstItem abstract syntax tree. It represents a TypeScript enum value.
 * The parent container will always be an AstEnum instance.
 */
class AstEnumValue extends AstItem_1.default {
    constructor(options) {
        super(options);
        this.kind = AstItem_1.AstItemKind.EnumValue;
    }
    /**
     * Returns a text string such as "MyValue = 123,"
     */
    getDeclarationLine() {
        return PrettyPrinter_1.default.getDeclarationSummary(this.declaration);
    }
}
exports.default = AstEnumValue;

//# sourceMappingURL=AstEnumValue.js.map
