import AstItem, { IAstItemOptions } from './AstItem';
import AstParameter from './AstParameter';
/**
  * This class is part of the AstItem abstract syntax tree. It represents functions that are directly
  * defined inside a package and are not member of classes, interfaces, or nested type literal expressions
  *
  * @see AstMethod for functions that are members of classes, interfaces, or nested type literal expressions
  */
declare class AstFunction extends AstItem {
    returnType: string;
    params: AstParameter[];
    constructor(options: IAstItemOptions);
    /**
     * Returns a text string such as "someName?: SomeTypeName;", or in the case of a type
     * literal expression, returns a text string such as "someName?:".
     */
    getDeclarationLine(): string;
}
export default AstFunction;
