import { IAstItemOptions } from './AstItem';
import AstMember from './AstMember';
import AstParameter from './AstParameter';
/**
 * This class is part of the AstItem abstract syntax tree. It represents functions that are members of
 * classes, interfaces, or nested type literal expressions. Unlike AstFunctions, AstMethods can have
 * access modifiers (public, private, etc.) or be optional, because they are members of a structured type
 *
 * @see AstFunction for functions that are defined inside of a package
 */
export default class AstMethod extends AstMember {
    readonly returnType: string;
    readonly params: AstParameter[];
    constructor(options: IAstItemOptions);
    protected onCompleteInitialization(): void;
}
