import { IAstItemOptions } from './AstItem';
import AstMember from './AstMember';
/**
 * This class is part of the AstItem abstract syntax tree. It represents variables
 * that are exported by an AstNamespace (or conceivably an AstPackage in the future).
 * The variables have a name, a type, and an initializer. The AstNamespace implementation
 * currently requires them to use a primitive type and be declared as "const".
 */
declare class AstModuleVariable extends AstMember {
    type: string;
    name: string;
    value: string;
    constructor(options: IAstItemOptions);
}
export default AstModuleVariable;
