import AstItem, { IAstItemOptions } from './AstItem';
/**
 * This class is part of the AstItem abstract syntax tree. It represents parameters of a function declaration
 */
declare class AstParameter extends AstItem {
    isOptional: boolean;
    type: string;
    /**
     * If there is a spread operator before the parameter declaration
     * Example: foo(...params: string[])
     */
    isSpread: boolean;
    constructor(options: IAstItemOptions, docComment?: string);
}
export default AstParameter;
