import { IAstItemOptions } from './AstItem';
import AstMember from './AstMember';
/**
 * This class is part of the AstItem abstract syntax tree. It represents properties of classes or interfaces
 * (It does not represent member methods)
 */
declare class AstProperty extends AstMember {
    type: string;
    isStatic: boolean;
    isReadOnly: boolean;
    constructor(options: IAstItemOptions);
    getDeclarationLine(): string;
}
export default AstProperty;
