import { ILogger } from './ILogger';
/**
 * Used to collect statistics for an ILogger implementation.
 */
export declare class MonitoredLogger implements ILogger {
    /**
     * Number of calls to logError()
     */
    errorCount: number;
    /**
     * Number of calls to logWarning()
     */
    warningCount: number;
    /**
     * Number of calls to any logging method.
     */
    messageCount: number;
    private _innerLogger;
    constructor(logger: ILogger);
    logVerbose(message: string): void;
    logInfo(message: string): void;
    logWarning(message: string): void;
    logError(message: string): void;
    resetCounters(): void;
}
